/*******************************************************************************************************************************//**
 *
 * @file		DR_RGB.c
 * @brief		Descripcion del modulo
 * @date		16 de nov. de 2017
 * @author		Ing. Marcelo Trujillo
 *
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** INCLUDES
 **********************************************************************************************************************************/
#include "DR_RGB.h"
#include "DR_gpio.h"


/***********************************************************************************************************************************
 *** DEFINES PRIVADOS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** MACROS PRIVADAS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** TIPOS DE DATOS PRIVADOS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** TABLAS PRIVADAS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** VARIABLES GLOBALES PUBLICAS
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** VARIABLES GLOBALES PRIVADAS AL MODULO
 **********************************************************************************************************************************/

/***********************************************************************************************************************************
 *** PROTOTIPO DE FUNCIONES PRIVADAS AL MODULO
 **********************************************************************************************************************************/

 /***********************************************************************************************************************************
 *** FUNCIONES PRIVADAS AL MODULO
 **********************************************************************************************************************************/

 /***********************************************************************************************************************************
 *** FUNCIONES GLOBALES AL MODULO
 **********************************************************************************************************************************/
/**
	\fn void InicializarRGB( void )
	\brief Inicializa las salidas usadas para el RGB
 	\author Ing. Marcelo Trujillo
 	\date 14 de nov. de 2017
 	\param void
 	\return void
*/
void InicializarRGB( void )
{
	//!< Inicializar Salidas Digitales
	SetPINSEL(led0,FUNCION_GPIO);
	SetPINSEL(led1,FUNCION_GPIO);
	SetPINSEL(led2,FUNCION_GPIO);

	SetDIR( led0 , SALIDA);
	SetDIR( led1 , SALIDA);
	SetDIR( led2 , SALIDA);
}
